/********************************************************/
/*                                                      */
/*               OO7 Benchmark                          */
/*                                                      */
/*              COPYRIGHT (C) 1993                      */
/*                                                      */
/*                Michael J. Carey 		        */
/*                David J. DeWitt 		        */
/*                Jeffrey Naughton 		        */
/*               Madison, WI U.S.A.                     */
/*                                                      */
/*	         ALL RIGHTS RESERVED                    */
/*                                                      */
/********************************************************/

#include <stdio.h>

#include "oo7.h"
#include "PartIdList.h"


// Add an id value to a list of part ids

void PartIdList::insert(o_4b val)
{
    ListElem* elem = new ListElem;

    elem->value = val;
    elem->next = listPtr;
    listPtr = elem;
}


// Remove the first id value from a list of part ids

o_4b PartIdList::remove()
{
    ListElem* firstElem = listPtr;
    o_4b firstId = firstElem->value;

    listPtr = listPtr->next;
    delete firstElem;
    return firstId;
}


// Clear out an entire list of part ids

void PartIdList::clear()
{
    ListElem* firstElem;

    while (listPtr != NULL) {
	firstElem = listPtr;
        listPtr = listPtr->next;
        delete firstElem;
    }
}
