/********************************************************/
/*                                                      */
/*               OO7 Benchmark                          */
/*                                                      */
/*              COPYRIGHT (C) 1993                      */
/*                                                      */
/*                Michael J. Carey 		        */
/*                David J. DeWitt 		        */
/*                Jeffrey Naughton 		        */
/*               Madison, WI U.S.A.                     */
/*                                                      */
/*	         ALL RIGHTS RESERVED                    */
/*                                                      */
/********************************************************/

#ifndef PARTID_H
#define PARTID_H

#define HashTableSize 256

class Member
{
public:
    o_4b	value;
    Member*	next;
};

class PartIdSet
{
private:
    Member*	hashTable[HashTableSize];
    o_4b	emptySet;
    o_4b	hash(o_4b val) { return((val * 12345 + 6789) % HashTableSize); }

public:
    PartIdSet();
    ~PartIdSet() { clear(); };
    void	clear();
    void	insert(o_4b val);
    o_4b	contains(o_4b val);
    o_4b	empty() { return(emptySet); };
};

#endif
